#include "basin.h"
#include "simple_plot.h"
 
using namespace std;
   
int main( int argc, char *argv[] )
{
	bout << "Starting Basin James:" << endl << endl;

	basin_initialize ();

	{
		bout << endl << "File: particle_data.h5" << endl;
		Region r ("/home/jdura/data/particle_data.h5");
		
		cout << r.get_client_information () << endl;

		Region* subR = r.get_child ("Step1");
		List* subRlist = (*subR).get_list_pointer ("/Step1");
		Attribute* attr = subRlist->get_attribute_pointer ("z");
		cout << (*attr)[4] << endl;
	}

	basin_finalize(); 
	return 0; 
}
 
 
 
 
