#include <fstream>
#include <iostream>
#include <string>
#include <vector>
#include "Region.h"
#include "basin_base.h"

class BIN_IO: public BASIN_IO {
	public:
		BIN_IO (string, Region*);
		~BIN_IO ();
	private:

		/* Input */
		bool OpenFile ();
		bool CloseFile ();
		bool GetDatasets ();
		bool NextDataset ();
		bool GetGroups ();
		bool NextGroup ();


		std::ifstream _file;
		unsigned int _fileSize;
};
