#include "basin_package.h"
#include "simple_plot.h"

void plot_hist(vector<int> n, double xmin, double dx) {
  if (BASIN_ID == 0) {
    gnuplot plot;
    plot.title="histogram";
    plot.style="histeps";
    float x,y;
    int nbins=n.size();
    for (int i=0; i < nbins; i++) {
      x=xmin+i*dx;
      y=n[i];
      plot << x << y;
    }
  }
}
