#include "basin_package.h"
#include "statistics.h"

double stdev(Attribute& attr) {
  double ave=mean(attr);
  return sqrt(double(sum(attr*attr))/attr.size()-ave*ave);
}

double stdev(Attribute& attr, Attribute& mask) {
  double ave=mean(attr,mask);
  double nmask=sum(mask);
  return sqrt(double(sum(attr*attr*mask))/nmask-ave*ave);
}
