#include "basin.h"
#include "simple_plot.h"
 
using namespace std;
   
int main( int argc, char *argv[] )
{
	basin_initialize ();

	bout << "Testing Binary Files:" << endl << endl;

	{
		bout << endl << "File: 16M.bin" << endl;
		Region r ("../data/16M.bin");
		bout << r.get_client_information () << endl;
	}
	{
		bout << endl << "File: G16.bin" << endl;
		Region r ("../data/G16.bin");
		bout << r.get_client_information () << endl;
	}
	{
		bout << endl << "File: G18.bin" << endl;
		Region r ("../data/G18.bin");
		bout << r.get_client_information () << endl;
	}

	basin_finalize(); 
	return 0; 
}
 
