#include "basin.h"
#include "visit_module.h"
#include "transforms.h"

int main(int argc, char **argv) {

    basin_initialize();

    Region data("zcatalog.dat");
    List *l = data.get_list_pointer();
    equatorial_to_xyz(l, "ra", "dec", "z");
    visit_module_start();
    visit_expose_discrete(*l, "x_conv", "y_conv", "z_conv", "dec", "data");
    
    visit_module_join();
    basin_finalize();
}
