class Region;
class cosmology;

Region& read_gadget(string infile);
Region& initial_conditions(cosmology cosmo,int nx=64, 
			   double L=200,double z_init=19,unsigned int seed=0);
int write_gadget(Region* reg,string outfile);

struct gadget_header{
  unsigned int npart[6];
  double massarr[6];
  double a;
  double z;
  int flag_sfr;
  int flag_feedback;
  unsigned int npartTotal[6];
  int flag_cooling;
  unsigned int num_files;
  double BoxSize;
  double Omega0;
  double OmegaLambda;
  double HubbleParam;
  int dumarr[24];
};
