/*
 *  C++ core and functions for BASIN.
 *  Copyright (C) 2006  BASIN team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/** \file gen_struct.h
    \brief Definitions of structs used in BASIN.

    These are structs used within BASIN.  Some of these may very shortly be made unnecessary.
*/

#ifndef GEN_STRUCT_H
#define GEN_STRUCT_H
/*#include "basin.h"
#include <dfftw_mpi.h>
#include <drfftw_mpi.h>*/
template<typename T>
struct aux_vect
{
  T val;
  int ind;
};
template <typename T1>
struct non_c_d{
  T1 z[3];
};
template <typename T1>
struct non_c_d_md{
  T1 z[3];
};

/*namespace boost{
  namespace serialization{
    template<class Archive>
      void serialize(Archive & ar, fftw_complex & g, const unsigned int version)
      {
	ar & g.re;
	ar & g.im;
      }
  }
  }
*/

#endif
