#include "basin_package.h"
#include "transforms.h"

string equatorial_to_xyz (List* listptr, string ra, string dec, string r, string x, string y, string z) {
	if (listptr == NULL) {
		return "Bad list pointer.";
	}
	string return_string;
	// Does the 1st string exist?
	Attribute *r_ptr;
	Attribute *dec_ptr;
	Attribute *ra_ptr;
	if (listptr-> attribute_exist (r)) {
		r_ptr = listptr-> get_attribute_pointer (r);
	} else {
		r_ptr = listptr-> get_attribute_pointer (0);
		return_string +=  r + " not found, default 0's\n";
	}
	if (listptr-> attribute_exist (dec)) {
		dec_ptr = listptr-> get_attribute_pointer (dec);
	} else {
		dec_ptr = listptr-> get_attribute_pointer (1);
		return_string += dec + " not found, default 0's\n";
	}
	if (listptr-> attribute_exist (ra)) {
		ra_ptr = listptr-> get_attribute_pointer (ra);
	} else {
		ra_ptr = listptr-> get_attribute_pointer (0);
		return_string += ra + " not found, default 0's\n";
	}

	Attribute x1 = (*r_ptr)*cos((*ra_ptr)/57.3)*cos((*dec_ptr)/57.3);
	Attribute y1 = (*r_ptr)*sin((*ra_ptr)/57.3)*cos((*dec_ptr)/57.3);
	Attribute z1 = (*r_ptr)*sin((*dec_ptr)/57.3);
	return_string += "Created " + x + ", " + y + ", and " + z + " attributes in list!";

	/* Adds the new calculated attributes
	 * into the existing List*/
	listptr-> add_attribute (x, x1);
	listptr-> add_attribute (y, y1);
	listptr-> add_attribute (z, z1);

	return return_string;
}


// This function should be deprecated.
string equatorial_to_xyz(Attribute* ra, Attribute* dec,Attribute* r, Attribute* xOut, Attribute* yOut, Attribute* zOut) {
	*xOut = (*r) * cos((*ra) / 57.3) * cos((*dec) / 57.3);
	*yOut = (*r) * sin((*ra) / 57.3) * cos((*dec) / 57.3);
	*zOut = (*r) * sin((*dec) / 57.3);

	return "Success";
}

